// OuvertureXml.pde
// Sketch Processing 3
// Gerard Paresys Guy Kayser
// 1 5 2018
// 
// Processing 3

XML xml1, kid1, kid2;
XML[] kid1Data, kidkid1Data, kidkid1intervals, kidkid1intervalsxmax;
XML[][] XMLTier= new XML[5][];

String DebutNomFichier = "";
boolean Verbose        = false;

void fileSelected(File FichierChoisi) {
  if (FichierChoisi == null) {
    println("1 Pas de fichier XXX.xml ouvert!");
    exit();
  } else {
    Ouverture(FichierChoisi.getAbsolutePath());
    // Nom = split(FichierChoisi.getName(), '.')[0];
  }
}


void Ouverture(String NomFichier) {
  boolean Probleme = false;
  File Fichier = new File(dataPath(NomFichier));
  if (!Fichier.exists()) { 
    println("2 Le fichier " + NomFichier + " n'existe pas");
    Probleme = true;
  } else println("Selection:    " + NomFichier);

  if (!Probleme) {
    DebutNomFichier = join(shorten(split(NomFichier, '.')), "."); // A cause des path avec plusieurs .
    NomFichierXML = DebutNomFichier + ".xml";
    if (loadStrings(NomFichierXML) == null) { 
      println("3 Le fichier " + NomFichierXML + " n'existe pas");
      Probleme = true;
    }
  }

  if (!Probleme) {
    xml1 = loadXML(NomFichierXML);  //Processing 2.0
    println("Ouverture de: " + NomFichierXML);
    if (Verbose) println("1-----------------------------------------------------------");
    // NombreDeChild1 = xml1.getChildCount();
    if (xml1.hasChildren()) { 
      //  println("xml1.hasChildren");
      if (Verbose) println("xml1.listChildren() : ");
      if (Verbose) println(xml1.listChildren());
    } else {
      println("4 Le fichier xml n'a pas le bon format");      
      Probleme = true;
    }
  }

  if (!Probleme) {
    if (!(xml1.listChildren()[1] == "items" )) {
      println("5 Le fichier xml n'a pas le bon format");
      Probleme = true;
    }
  }

  if (!Probleme) {
    kid1Data = xml1.getChildren("items");
    kidkid1Data = kid1Data[0].getChildren("item");
    if (Verbose) println("kidkid1Data-----------------------------------------------------------");
    if (Verbose) println(kidkid1Data);  // gros a lister
    if (Verbose) println("-----------------------------------------------------------");
    if (Verbose) println("Length of kidkid1Data = " + kidkid1Data.length);
    if (Verbose) println("kidkid1Data[0].getName() = " + kidkid1Data[0].getName());
    if (Verbose) println("kidkid1Data[1].getName() = " + kidkid1Data[1].getName());
    if (Verbose) println("kidkid1Data[0].listAttributes() = " + kidkid1Data[1].getChildren("item"));

    for (int i = 0; i < NombreCouche; i = i+1) { 
      XMLTier[i] = kidkid1Data[i].getChildren("intervals");
    }

    if (Verbose) println("oooooooooooooooooooooooooooooooooooooooooooooo");
    // println(Traduction);  // gros a lister
    if (Verbose) println("oooooooooooooooooooooooooooooooooooooooooooooo");
  } 

  if (! Probleme) { 
    FinOuverture();
  } else exit();
}

void FinOuverture() {
  xmax = 0;
}
